package org.semwidg.semwidgql.internal.element;

import java.util.ArrayList;

import org.antlr.runtime.tree.CommonTree;

public class Resource extends Element implements ResourceOrProperty {

	private String type;
	private String value;
	private ArrayList<Element> filter;
	private CommonTree pointer;
	
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	public ArrayList<Element> getFilter() {
		return filter;
	}
	public void setFilter(ArrayList<Element> filter) {
		this.filter = filter;
	}
	public CommonTree getPointer() {
		return pointer;
	}
	public void setPointer(CommonTree pointer) {
		this.pointer = pointer;
	}
	
	public String toString() {
		return "Resource";
	}
	
}
