package org.semwidg.semwidgql.internal;

import java.util.ArrayList;

import org.semwidg.semwidgql.NamedResource;
import org.semwidg.semwidgql.Prefix;
import org.semwidg.semwidgql.internal.element.Property;
import org.semwidg.semwidgql.internal.element.Resource;

public class Model {

	private ArrayList<Prefix> usedPrefixes;
	private ArrayList<NamedResource> namedResourceList;
	private ArrayList<Resource> allResourcesList;
	private ArrayList<Property> allPropertiesList;
	
	
	public ArrayList<Prefix> getPrefixList() {
		return usedPrefixes;
	}
	
	public void setPrefixList(ArrayList<Prefix> usedPrefixes) {
		this.usedPrefixes = usedPrefixes;
	}
	
	public ArrayList<NamedResource> getNamedResourceList() {
		return namedResourceList;
	}
	
	public void setNamedResourceList(ArrayList<NamedResource> namedResourceList) {
		this.namedResourceList = namedResourceList;
	}
	
	public ArrayList<Resource> getAllResourcesList() {
		return allResourcesList;
	}
	
	public void setAllResourcesList(ArrayList<Resource> allResourcesList) {
		this.allResourcesList = allResourcesList;
	}
	
	public void addToAllResourcesList(Resource resource) {
		if (this.allResourcesList == null) {
			this.allResourcesList = new ArrayList<Resource>();
		}
		
		this.allResourcesList.add(resource);
	}
	
	public ArrayList<Property> getAllPropertiesList() {
		return allPropertiesList;
	}
	
	public void setAllPropertiesList(ArrayList<Property> allPropertiesList) {
		this.allPropertiesList = allPropertiesList;
	}
	
	public void addToAllPropertiesList(Property property) {
		if (this.allPropertiesList == null) {
			this.allPropertiesList = new ArrayList<Property>();
		}

		this.allPropertiesList.add(property);
	};
	
	
}
